#
# spec file for package NetworkManager-iodine
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           NetworkManager-iodine
Version:        0.0.5
Release:        6.1
License:        GPL-2.0+
Summary:        NetworkManager VPN support for iodine
Url:            https://honk.sigxcpu.org/piki/projects/network-manager-iodine/
Group:          Productivity/Networking/System
Source0:        http://ftp.acc.umu.se/pub/GNOME/sources/NetworkManager-iodine/0.0/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:  pkgconfig(NetworkManager) >= 0.9.2
BuildRequires:  pkgconfig(libnm-gtk) >= 0.9.9.0
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(gtk+-3.0)
Requires:       NetworkManager >= 0.9.2
Requires:       iodine >= 0.6.0rc1
Recommends:     %{name}-lang
Supplements:    packageand(NetworkManager:iodine)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A network manager VPN plugin that allows you to tunnel your connection
through a DNS tunnel. This can be useful if internet access is
firewalled but DNS traffic is still allowed.

%package gnome
Summary:        NetworkManager VPN support for iodine
Group:          Productivity/Networking/System
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-gnome
Supplements:    packageand(NetworkManager-gnome:iodine)

%description gnome
A network manager VPN plugin that allows you to tunnel your connection
through a DNS tunnel. This can be useful if internet access is
firewalled but DNS traffic is still allowed.

%lang_package
%prep
%setup -q

%build
%configure --disable-static \
           --disable-more-warnings
make %{?_smp_mflags}

%install
%makeinstall
%find_lang %{name} %{?no_lang_C}
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_libexecdir}/nm-iodine-service
%config %{_sysconfdir}/NetworkManager/VPN/nm-iodine-service.name
%config %{_sysconfdir}/dbus-1/system.d/nm-iodine-service.conf

%files gnome
%defattr(-,root,root)
%{_libexecdir}/nm-iodine-auth-dialog
%{_libdir}/NetworkManager/libnm-iodine-properties.so
%{_datadir}/gnome-vpn-properties/

%files lang -f %{name}.lang

%changelog
* Sun Oct 12 2014 dimstar@opensuse.org
- Update to version 0.0.5:
  + Use libsecret.
  + Use libnm-gtk.
  + Updated translations.
- Add pkgconfig(libnm-gtk) BuildRequires: new dependency.
- Replace pkgconfig(gnome-keyring-1) BuildRequires with
  pkgconfig(libsecret-1), following upstream.
* Tue Feb 19 2013 zaitor@opensuse.org
- Update to version 0.0.4:
  + Check password write result to avoid warning.
  + Remove unused define.
  + Log connection information at message level.
  + Removed markup from UI file.
  + Add external ui support.
  + Updated translations.
* Thu Sep  6 2012 malcolmlewis@opensuse.org
- Initial build.
